/*
 *
 * Copyright (c) 2006-2020, Speedment, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.speedment.common.tuple.internal.mutable;

import com.speedment.common.tuple.MutableTuple;
import com.speedment.common.tuple.internal.AbstractMutableTuple;
import com.speedment.common.tuple.mutable.MutableTuple0;

/**
 * An implementation class of a {@link MutableTuple0}.
 * <p>
 * Generated by com.speedment.sources.pattern.tuple.TupleImplPattern
 * 
 * @author Per Minborg
 */
public final class MutableTuple0Impl 
extends AbstractMutableTuple 
implements MutableTuple0 {
    
    public static final MutableTuple0 EMPTY_TUPLE = new MutableTuple0Impl();
    
    /**
     * Constructs a {@link MutableTuple} of type {@link MutableTuple0}.
     */
    private MutableTuple0Impl() {
        super(MutableTuple0Impl.class, 0);
    }
}